#!/bin/ash
## FAN checking
## 
##	Test the different FANs of the switch at different speed before starting the temperature monitoring.  
##
##
## Authors: 
##	- Benoit Rat (Seven Solutions, www.sevensols.com)
##
## GNU Lesser General Public License Usage
## This file may be used under the terms of the GNU Lesser
## General Public License version 2.1 as published by the Free Software
## Foundation and appearing in the file LICENSE.LGPL included in the
## packaging of this file.  Please review the following information to
## ensure the GNU Lesser General Public License version 2.1 requirements
## will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
#######################################################################################################

printf "======: $0\n"
. 000-functions.sh

pwm_module=/wr/lib/modules/at91_softpwm.ko

if [[ -f $pwm_module ]]; fi
	insmod  &> /dev/null 
else
	echo "$pwm_module not found"
fi

speed=10
while [ speed -lt 80 ]; do
	
	${APTS_SWITCH_DIR}/bin/shw_tool --fan ${speed}
	speed=$(expr $speed + 10)
done


user_echoasking "y/n" "Did you hear the speed of FAN increase"
ret0=$ret
if [ $ret == "n" ]; then
	user_echoasking "y/n" "Does the FAN is working?"
	ret1=$ret
	if [ $ret == "n" ]; then
		echo "WARNING: NO FAN DETECTED! YOU SHOULD STOP THIS TEST BEFORE OVERHEATING YOUR FPGA"
	fi
fi

exit_multierr $ret0 $ret1



